(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    107409,       2530]
NotebookOptionsPosition[    107020,       2511]
NotebookOutlinePosition[    107415,       2529]
CellTagsIndexPosition[    107372,       2526]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Animate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"u1", "=", 
     RowBox[{"1", "/", "3"}]}], ";", 
    RowBox[{"u2", "=", 
     RowBox[{"u1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"A", ",", "B", ",", "C", ",", 
      RowBox[{
       RowBox[{
       "D", " ", "are", " ", "on", " ", "the", " ", "super", " ", "plane", 
        " ", "u"}], "=", 
       RowBox[{"u1", ".", " ", "a"}]}], ",", "b", ",", "c", ",", 
      RowBox[{
       RowBox[{"d", " ", "are", " ", "on", " ", "u"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{"u2", ".", " ", "u1"}], " ", "&"}], " ", "u2", " ", "is", 
        " ", "1", " ", "unit", " ", 
        RowBox[{"apart", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"OA", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", 
         RowBox[{"Sqrt", "[", "6", "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OB", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "6", "]"}], "/", "3"}], ",", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OC", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", 
         RowBox[{"Sqrt", "[", "6", "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OD", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Oa", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "6", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", "u2"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Ob", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sqrt", "[", "6", "]"}]}], "/", "3"}], ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", "u2"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Oc", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "6", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", "u2"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Od", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], ",", "u2"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "E", " ", "is", " ", "the", " ", "reflection", " ", "of", " ", "D", " ", 
      "with", " ", "respect", " ", "to", " ", "plane", " ", "ABC"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "These", " ", "points", " ", "are", " ", "for", " ", "rotation", " ", 
      "matrix"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"OE", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"-", "5"}], 
         RowBox[{
          RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OF", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"5", " ", 
         RowBox[{
          RowBox[{"Sqrt", "[", "2", "]"}], "/", "6"}]}], ",", 
        RowBox[{"5", " ", 
         RowBox[{
          RowBox[{"Sqrt", "[", "6", "]"}], "/", "18"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "11"}], "/", "18"}], " ", 
         RowBox[{"Sqrt", "[", "3", "]"}]}], ",", "u1"}], "}"}], "//", "N"}]}],
     ";", "\[IndentingNewLine]", 
    RowBox[{"OG", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "5"}], "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], ",", 
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "6", "]"}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"-", "11"}], "/", 
         RowBox[{"(", 
          RowBox[{"6", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OH", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "5"}], "*", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"2", "/", "3"}], "]"}]}], ")"}], "/", "3"}], ",", 
        RowBox[{
         RowBox[{"-", "11"}], "/", 
         RowBox[{"(", 
          RowBox[{"6", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OI", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], ",", 
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "6", "]"}]}], ")"}]}], ",", 
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"6", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OJ", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "5"}], "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], ",", 
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "6", "]"}]}], ")"}]}], ",", 
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"6", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OK", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "5"}], "*", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"2", "/", "3"}], "]"}]}], ")"}], "/", "3"}], ",", 
        RowBox[{"5", "/", 
         RowBox[{"(", 
          RowBox[{"6", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OL", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "5"}], "/", 
         RowBox[{"(", 
          RowBox[{"3", "*", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"-", "17"}], "/", 
         RowBox[{"(", 
          RowBox[{"9", "*", 
           RowBox[{"Sqrt", "[", "6", "]"}]}], ")"}]}], ",", 
        RowBox[{"31", "/", 
         RowBox[{"(", 
          RowBox[{"18", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"OM", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", 
         RowBox[{"(", 
          RowBox[{"9", "*", 
           RowBox[{"Sqrt", "[", "2", "]"}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"-", "67"}], "/", 
         RowBox[{"(", 
          RowBox[{"27", "*", 
           RowBox[{"Sqrt", "[", "6", "]"}]}], ")"}]}], ",", 
        RowBox[{"173", "/", 
         RowBox[{"(", 
          RowBox[{"54", "*", 
           RowBox[{"Sqrt", "[", "3", "]"}]}], ")"}]}], ",", "u1"}], "}"}], "//",
       "N"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"AAA", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OA", ",", 
        RowBox[{"{", "4", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"EEE", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OE", ",", 
        RowBox[{"{", "4", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"DDD", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OD", ",", 
        RowBox[{"{", "4", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"KKK", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OK", ",", 
        RowBox[{"{", "4", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "u", " ", "is", " ", "an", " ", "angle", " ", "within", " ", "each", " ",
       "step"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"step", ":=", 
     RowBox[{
      RowBox[{"Floor", "[", 
       RowBox[{"t", "/", 
        RowBox[{"(", 
         RowBox[{"Pi", "/", "3"}], ")"}]}], "]"}], "+", "1"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"u", ":=", 
     RowBox[{"t", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"step", "-", "1"}], ")"}], "*", 
       RowBox[{"Pi", "/", "3"}]}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"definition", " ", "of", " ", "tetrahedron"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tetrahedron", "[", "vecs_", "]"}], ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Polygon", "[", 
        RowBox[{"Drop", "[", 
         RowBox[{"vecs", ",", 
          RowBox[{"{", "k", "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"definition", " ", "of", " ", "projection"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"MAY", " ", "NEED", " ", "TO", " ", 
      RowBox[{"CHANGE", " ", "'"}], 
      RowBox[{"zrange", "'"}], " ", "WHEN", " ", "ANOTHER", " ", "STYLE", " ",
       "IS", " ", "ADDED"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"proj", "[", "x_", "]"}], ":=", 
     RowBox[{"Switch", "[", "\[IndentingNewLine]", 
      RowBox[{"mode", ",", "\[IndentingNewLine]", "1", ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "2", ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4"}], "}"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "3", ",", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"x", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{
       "Rotation", " ", "matrix", " ", "around", " ", "the", " ", "plane", 
        " ", "\[Pi]", " ", "spanned", " ", "by", " ", "u"}], "&"}], "v"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"p", "&"}], "q", " ", "are", " ", "orthogonal", " ", "vectors", 
      " ", "against", " ", "\[Pi]"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"p0", ",", 
      RowBox[{
       RowBox[{
        RowBox[{
        "q0", " ", "MUST", " ", "be", " ", "linearly", " ", "independent", 
         " ", "to", " ", "all", " ", "u"}], "&"}], "v", " ", "which", " ", 
       "may", " ", "appear", " ", "in", " ", 
       RowBox[{"R", "[", 
        RowBox[{"u", ",", "v", ",", "\[Theta]"}], "]"}]}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"p0", "=", 
     RowBox[{"{", 
      RowBox[{"1.0", ",", "2", ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], ";", 
    RowBox[{"q0", "=", 
     RowBox[{"{", 
      RowBox[{"1.0", ",", "0", ",", "1", ",", "2"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"R", "[", 
      RowBox[{"u_", ",", "v_", ",", "\[Theta]_"}], "]"}], ":=", 
     RowBox[{"(", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"v", "'"}], ":=", 
        RowBox[{"v", "-", 
         RowBox[{"Projection", "[", 
          RowBox[{"v", ",", "u"}], "]"}]}]}], " ", ";", "\[IndentingNewLine]", 
       RowBox[{"p1", ":=", 
        RowBox[{"p0", "-", 
         RowBox[{"Projection", "[", 
          RowBox[{"p0", ",", "u"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"p", ":=", 
        RowBox[{"Normalize", "[", 
         RowBox[{"p1", "-", 
          RowBox[{"Projection", "[", 
           RowBox[{"p1", ",", 
            RowBox[{"v", "'"}]}], "]"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"q1", ":=", 
        RowBox[{"q0", "-", 
         RowBox[{"Projection", "[", 
          RowBox[{"q0", ",", "u"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"q2", ":=", 
        RowBox[{"q1", "-", 
         RowBox[{"Projection", "[", 
          RowBox[{"q1", ",", 
           RowBox[{"v", "'"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"q", ":=", 
        RowBox[{"Normalize", "[", 
         RowBox[{"q2", "-", 
          RowBox[{"Projection", "[", 
           RowBox[{"q2", ",", "p"}], "]"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"P", ":=", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"p", ",", "q", ",", "u", ",", "v"}], "}"}], "]"}]}], ";", 
       RowBox[{"P", ".", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
            RowBox[{"-", 
             RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "0", ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
            RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "0", ",", "0"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}], ".", 
        RowBox[{"Inverse", "[", "P", "]"}]}]}], "\[IndentingNewLine]", 
      ")"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "definitions", " ", "of", " ", "rotations", " ", "of", " ", "each", " ", 
      "step"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"For", " ", "example"}], ",", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
        "RABC", " ", "is", " ", "a", " ", "rotation", " ", "around", " ", 
         "the", " ", "plane", " ", "spanned", " ", "by", " ", "vec", " ", 
         "AB"}], "&"}], "AC"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RABC", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OB", "-", "OA"}], ",", 
       RowBox[{"OC", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RABE", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OB", "-", "OA"}], ",", 
       RowBox[{"OE", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RACE", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OC", "-", "OA"}], ",", 
       RowBox[{"OE", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RBCE", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OB", "-", "OC"}], ",", 
       RowBox[{"OB", "-", "OE"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RAEF", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OE", "-", "OA"}], ",", 
       RowBox[{"OF", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RBEG", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OE", "-", "OB"}], ",", 
       RowBox[{"OG", "-", "OB"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RCEH", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OE", "-", "OC"}], ",", 
       RowBox[{"OE", "-", "OH"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"REFG", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OF", "-", "OE"}], ",", 
       RowBox[{"OG", "-", "OE"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RABD", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OB", "-", "OA"}], ",", 
       RowBox[{"OD", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RADI", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OD", "-", "OA"}], ",", 
       RowBox[{"OI", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RBCD", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OB", "-", "OD"}], ",", 
       RowBox[{"OC", "-", "OD"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RBDJ", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OB", "-", "OD"}], ",", 
       RowBox[{"OB", "-", "OJ"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RACD", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OA", "-", "OD"}], ",", 
       RowBox[{"OC", "-", "OD"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RCDK", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OC", "-", "OD"}], ",", 
       RowBox[{"OK", "-", "OD"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RACK", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OC", "-", "OA"}], ",", 
       RowBox[{"OK", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RADK", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OD", "-", "OA"}], ",", 
       RowBox[{"OK", "-", "OA"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RDKL", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OK", "-", "OD"}], ",", 
       RowBox[{"OL", "-", "OD"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"RKLM", "[", "\[Theta]_", "]"}], "=", 
     RowBox[{"R", "[", 
      RowBox[{
       RowBox[{"OK", "-", "OL"}], ",", 
       RowBox[{"OK", "-", "OM"}], ",", "\[Theta]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ABCD", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABCD", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OB", ",", "OC", ",", "OD"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"vecsABCD", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABCD", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABCD", "=", 
     RowBox[{"tetrahedron", "[", "vecsABCD", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ABCd", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABCd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OB", ",", "OC", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABCd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABC", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ABCd0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABCd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ABCd0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "2"}], ",", "ABCd1"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsABCd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABCd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABCd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsABCd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ABDc", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABDc0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OB", ",", "OD", ",", "Oc"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABDc1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABD", "[", 
         RowBox[{
          RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ABDc0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABDc", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "7"}], ",", "ABDc0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "8"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABD", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ABDc0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "9"}], ",", "ABDc1"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsABDc", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABDc", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABDc", ":=", 
     RowBox[{"tetrahedron", "[", "vecsABDc", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "BCDa", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"Done", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"BCDa0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OB", ",", "OC", ",", "OD", ",", "Oa"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCDa1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RBCD", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BCDa0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCDa", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "9"}], ",", "BCDa0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "10"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RBCD", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"BCDa0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "11"}], ",", "BCDa1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsBCDa", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "BCDa", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyBCDa", ":=", 
     RowBox[{"tetrahedron", "[", "vecsBCDa", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ACDb", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ACDb0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OC", ",", "OD", ",", "Ob"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ACDb1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RACD", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ACDb0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ACDb", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "11"}], ",", "ACDb0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "12"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RACD", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ACDb0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "13"}], ",", "ACDb1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsACDb", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ACDb", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyACDb", ":=", 
     RowBox[{"tetrahedron", "[", "vecsACDb", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ABcd", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABcd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OB", ",", "Oc", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABcd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABC", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ABcd0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABcd2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABE", "[", 
         RowBox[{
          RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ABcd1", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABcd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ABcd0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABE", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ABcd1", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "3"}], ",", "ABcd2"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsABcd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABcd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABcd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsABcd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "BCad", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"BCad0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OB", ",", "OC", ",", "Oa", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCad1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABC", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BCad0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCad2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RBCE", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BCad1", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCad", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[Equal]", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"BCad0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[LessEqual]", "3"}], ",", "BCad1", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "4"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"RBCE", "[", "u", "]"}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"BCad1", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "5"}], ",", "BCad2"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsBCad", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "BCad", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyBCad", ":=", 
     RowBox[{"tetrahedron", "[", "vecsBCad", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ACbd", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ACbd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OC", ",", "Ob", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ACbd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABC", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ACbd0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ACbd2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RACE", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ACbd1", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ACbd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ACbd0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[LessEqual]", "5"}], ",", "ACbd1", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "6"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"RACE", "[", "u", "]"}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"ACbd1", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "7"}], ",", "ACbd2"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsACbd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ACbd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyACbd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsACbd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ADbc", "*)"}], 
    RowBox[{"(*", "Done", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ADbc0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "OD", ",", "Ob", ",", "Oc"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ADbc1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABD", "[", 
         RowBox[{
          RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ADbc0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ADbc2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RADI", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ADbc1", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ADbc", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "7"}], ",", "ADbc0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "8"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABD", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ADbc0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "==", "9"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RADI", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"ADbc1", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "10"}], ",", "ADbc2"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsADbc", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ADbc", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyADbc", ":=", 
     RowBox[{"tetrahedron", "[", "vecsADbc", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "BDac", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"BDac0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OB", ",", "OD", ",", "Oa", ",", "Oc"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BDac1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RBCD", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BDac0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BDac2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RBDJ", "[", 
         RowBox[{
          RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BDac1", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BDac", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "9"}], ",", "BDac0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "10"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RBCD", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"BDac0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "11"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RBDJ", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"BDac1", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "12"}], ",", "BDac2"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsBDac", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "BDac", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyBDac", ":=", 
     RowBox[{"tetrahedron", "[", "vecsBDac", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "CDab", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"CDab0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OC", ",", "OD", ",", "Oa", ",", "Ob"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"CDab1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RACD", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"CDab0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"CDab2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RCDK", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"CDab1", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"CDab", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "11"}], ",", "CDab0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "12"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RACD", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"CDab0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "13"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RCDK", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"CDab1", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "14"}], ",", "CDab2"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsCDab", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "CDab", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyCDab", ":=", 
     RowBox[{"tetrahedron", "[", "vecsCDab", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "Abcd", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Abcd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OA", ",", "Ob", ",", "Oc", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Abcd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABC", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Abcd0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Abcd2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABE", "[", 
         RowBox[{
          RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Abcd1", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Abcd3", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RAEF", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Abcd2", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Abcd4", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"REFG", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Abcd3", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Abcd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Abcd0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"RABE", "[", 
           RowBox[{"-", "u"}], "]"}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"Abcd1", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "3"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"RAEF", "[", "u", "]"}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"Abcd2", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "3"}], ",", "Abcd3"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsAbcd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "Abcd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyAbcd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsAbcd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "Bacd", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Bacd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"Oa", ",", "OB", ",", "Oc", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Bacd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RABC", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"Bacd0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Bacd2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RBCE", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"Bacd1", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Bacd3", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RBEG", "[", 
        RowBox[{
         RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"Bacd2", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Bacd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Bacd0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[LessEqual]", "3"}], ",", "Bacd1", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "4"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RBCE", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Bacd1", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "5"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RBEG", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Bacd2", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "6"}], ",", "Bacd3"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsBacd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "Bacd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyBacd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsBacd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "Cabd", "*)"}], 
    RowBox[{"(*", 
     RowBox[{"DONE", "!"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Cabd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OC", ",", "Oa", ",", "Ob", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Cabd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RABC", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Cabd0", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Cabd2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RACE", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Cabd1", "-", "AAA"}], ")"}]}], "+", "AAA"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Cabd3", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"RCEH", "[", 
         RowBox[{"Pi", "/", "3"}], "]"}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"Cabd2", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Cabd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RABC", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Cabd0", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[LessEqual]", "5"}], ",", "Cabd1", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "6"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RACE", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Cabd1", "-", "AAA"}], ")"}]}], "+", "AAA"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "7"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RCEH", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Cabd2", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "8"}], ",", "Cabd3"}], "]"}]}], ";",
     "\[IndentingNewLine]", 
    RowBox[{"vecsCabd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "Cabd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyCabd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsCabd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "Dacb", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Dacb0", ":=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"OD", ",", "Oa", ",", "Oc", ",", "Ob"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Dacb1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RACD", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"Dacb0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Dacb2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RCDK", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"Dacb1", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Dacb3", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RDKL", "[", 
        RowBox[{
         RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"Dacb2", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Dacb", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "11"}], ",", "Dacb0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "12"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RACD", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Dacb0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "13"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RCDK", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Dacb1", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "14"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RDKL", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"Dacb2", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "15"}], ",", "Dacb3"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsDacb", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "Dacb", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyDacb", ":=", 
     RowBox[{"tetrahedron", "[", "vecsDacb", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "abcd", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"abcd0", ":=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"Oa", ",", "Ob", ",", "Oc", ",", "Od"}], "}"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RACD", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"abcd0", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcd2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RCDK", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"abcd1", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcd3", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RDKL", "[", 
        RowBox[{
         RowBox[{"-", "Pi"}], "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"abcd2", "-", "DDD"}], ")"}]}], "+", "DDD"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcd4", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"RKLM", "[", 
        RowBox[{"Pi", "/", "3"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{"abcd3", "-", "KKK"}], ")"}]}], "+", "KKK"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "11"}], ",", "abcd0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "12"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RACD", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"abcd0", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "13"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RCDK", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"abcd1", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "14"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RDKL", "[", 
          RowBox[{"-", "u"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"abcd2", "-", "DDD"}], ")"}]}], "+", "DDD"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "15"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"RKLM", "[", "u", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"abcd3", "-", "KKK"}], ")"}]}], "+", "KKK"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "16"}], ",", "abcd4"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsabcd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "abcd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyabcd", ":=", 
     RowBox[{"tetrahedron", "[", "vecsabcd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"myrange", ":=", 
     RowBox[{"Switch", "[", 
      RowBox[{"mode", ",", "1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.4"}], ",", "1.4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2.1"}], ",", "1.6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.6"}], ",", "2"}], "}"}]}], "}"}], ",", 
       "\[IndentingNewLine]", "2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.4"}], ",", "1.4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2.1"}], ",", "1.6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.33", ",", "1.45"}], "}"}]}], "}"}], ",", "3", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "6.5"}], ",", "4.5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "6"}], "}"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{"\"\<L\>\"", ",", 
            RowBox[{
             RowBox[{"1", "/", "u1"}], " ", 
             RowBox[{"OL", "[", 
              RowBox[{"[", 
               RowBox[{"{", 
                RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}]}]}], 
           "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<K\>\"", ",", 
            RowBox[{
             RowBox[{"1", "/", "u1"}], " ", 
             RowBox[{"OK", "[", 
              RowBox[{"[", 
               RowBox[{"{", 
                RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}]}]}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<M\>\"", ",", 
            RowBox[{
             RowBox[{"1", "/", "u1"}], " ", 
             RowBox[{"OM", "[", 
              RowBox[{"[", 
               RowBox[{"{", 
                RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}]}]}], 
           "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<A\>\"", ",", 
            RowBox[{
             RowBox[{"1", "/", "u1"}], " ", 
             RowBox[{"OA", "[", 
              RowBox[{"[", 
               RowBox[{"{", 
                RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}]}]}], 
           "]"}], ","}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "[", "0.003", "]"}], ",", "Black"}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", "polyABCD", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Cyan", ",", " ", "polyABCd"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Magenta", ",", "polyABcd"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Orange", ",", 
          "polyAbcd"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightPurple", ",", "polyBCad"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.3", "]"}], ",", "LightRed", ",", 
          "polyBacd"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightGreen", ",", "polyACbd"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.3", "]"}], ",", "LightCyan", ",", 
          "polyCabd"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightBrown", ",", "polyABDc"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.3", "]"}], ",", "LightGray", ",", 
          "polyADbc"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Yellow", ",", "polyBCDa"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightGreen", ",", "polyBDac"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightBlue", ",", "polyACDb"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightRed", ",", "polyCDab"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"LightGreen", ",", "polyDacb"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.9", "]"}], ",", "LightBlue", ",", 
          "polyabcd"}], "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "myrange"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "controllers", "*)"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", " ", 
     RowBox[{"5", " ", "Pi"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mode", ",", "3", ",", "\"\<projection style\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "->", "\"\<(x,y,z,u)\[Rule](x,y,z)\>\""}], ",", 
       RowBox[{"2", "->", "\"\<(x,y,z,u)\[Rule](x,y,u)\>\""}], ",", 
       RowBox[{
       "3", "->", 
        "\"\<(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \
\(u\)]\),\!\(\*FractionBox[\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \(u\)]\))\
\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.535552427859375*^9, 3.535552434875*^9}, {
   3.535552509953125*^9, 3.535552552140625*^9}, {3.535552583734375*^9, 
   3.53555277953125*^9}, {3.535667159546387*^9, 3.535667189937012*^9}, {
   3.535667949874512*^9, 3.535667970858887*^9}, {3.535668208218262*^9, 
   3.535668222155762*^9}, {3.535669671624512*^9, 3.535669776812012*^9}, {
   3.535683970218262*^9, 3.535684167593262*^9}, {3.535684221327637*^9, 
   3.535684223702637*^9}, {3.535684264046387*^9, 3.535684319358887*^9}, 
   3.535685611046387*^9, {3.535685933780762*^9, 3.535686133046387*^9}, {
   3.535686200577637*^9, 3.535686203577637*^9}, {3.535686351296387*^9, 
   3.535686354843262*^9}, {3.535686429812012*^9, 3.535686465124512*^9}, {
   3.535686988421387*^9, 3.535687043124512*^9}, {3.535714402265625*^9, 
   3.53571441284375*^9}, {3.5357147674375*^9, 3.53571482575*^9}, {
   3.53571735315625*^9, 3.535717366125*^9}, {3.53571739690625*^9, 
   3.53571751046875*^9}, {3.53571786778125*^9, 3.5357179313125*^9}, {
   3.53571797178125*^9, 3.5357180250625*^9}, {3.535718242125*^9, 
   3.535718243953125*^9}, {3.535720079328125*^9, 3.53572008471875*^9}, {
   3.535754605203125*^9, 3.5357546055625*^9}, {3.535754661953125*^9, 
   3.53575466225*^9}, {3.535754704046875*^9, 3.535754805421875*^9}, {
   3.535754849890625*^9, 3.535754871546875*^9}, {3.53575490309375*^9, 
   3.535755004765625*^9}, {3.535755182046875*^9, 3.535755186625*^9}, {
   3.535755230109375*^9, 3.53575523225*^9}, {3.535755279984375*^9, 
   3.53575532325*^9}, {3.535755453765625*^9, 3.53575555315625*^9}, {
   3.5357556339375*^9, 3.5357558034375*^9}, {3.5357558336875*^9, 
   3.535756123046875*^9}, {3.535756156875*^9, 3.53575619090625*^9}, {
   3.535756239671875*^9, 3.5357562438125*^9}, {3.53575638196875*^9, 
   3.535756458859375*^9}, {3.535756591890625*^9, 3.53575660003125*^9}, 
   3.535756657984375*^9, {3.535756731515625*^9, 3.535756734484375*^9}, {
   3.5357567858125*^9, 3.5357568470625*^9}, {3.535756934796875*^9, 
   3.535757001984375*^9}, {3.535757041265625*^9, 3.535757041609375*^9}, {
   3.535757170828125*^9, 3.53575720121875*^9}, {3.535757250453125*^9, 
   3.53575726675*^9}, {3.535757409046875*^9, 3.53575740940625*^9}, 
   3.535757666140625*^9, {3.5357577314375*^9, 3.535757782078125*^9}, {
   3.535759526484375*^9, 3.535759658125*^9}, {3.535759789375*^9, 
   3.5357598449375*^9}, {3.535759901984375*^9, 3.535760122046875*^9}, {
   3.53576075996875*^9, 3.535760764015625*^9}, {3.535760806390625*^9, 
   3.53576082815625*^9}, {3.53576088796875*^9, 3.53576094165625*^9}, {
   3.5357610021875*^9, 3.535761084140625*^9}, 3.535761118484375*^9, {
   3.535761234796875*^9, 3.535761312890625*^9}, {3.535761776515625*^9, 
   3.535761850984375*^9}, {3.5357627118125*^9, 3.535762724171875*^9}, 
   3.535762755734375*^9, {3.53576582221875*^9, 3.535765831375*^9}, {
   3.5357659784375*^9, 3.535766060875*^9}, {3.53576610290625*^9, 
   3.53576617925*^9}, {3.5357665613125*^9, 3.535766623109375*^9}, 
   3.5357668731875*^9, {3.53576691378125*^9, 3.535766925046875*^9}, {
   3.535766959375*^9, 3.535767039640625*^9}, {3.5357670778125*^9, 
   3.535767078359375*^9}, {3.53576869459375*^9, 3.5357687430625*^9}, {
   3.535768788234375*^9, 3.535768788890625*^9}, {3.535769867140625*^9, 
   3.535769872265625*^9}, {3.5357699103125*^9, 3.53576992196875*^9}, {
   3.53576996059375*^9, 3.535769971140625*^9}, {3.535770014453125*^9, 
   3.53577005846875*^9}, {3.535770101546875*^9, 3.53577023128125*^9}, {
   3.535770352375*^9, 3.53577040496875*^9}, {3.535770464578125*^9, 
   3.53577047103125*^9}, {3.535770662296875*^9, 3.535770663078125*^9}, {
   3.53577082434375*^9, 3.535770877234375*^9}, {3.53577092609375*^9, 
   3.53577093715625*^9}, {3.535770984921875*^9, 3.535771076140625*^9}, {
   3.5357711114375*^9, 3.535771113765625*^9}, {3.535786859984375*^9, 
   3.535786861078125*^9}, {3.535786924125*^9, 3.53578694003125*^9}, {
   3.535787062671875*^9, 3.535787113828125*^9}, {3.535787415546875*^9, 
   3.535787634171875*^9}, {3.535787934890625*^9, 3.53578815140625*^9}, {
   3.535788355265625*^9, 3.53578839021875*^9}, {3.535788438328125*^9, 
   3.535788455421875*^9}, {3.535788517140625*^9, 3.53578852140625*^9}, {
   3.5357885580625*^9, 3.535788722359375*^9}, {3.53578877221875*^9, 
   3.535788783*^9}, {3.535788921171875*^9, 3.535788923578125*^9}, {
   3.5357889828125*^9, 3.535788985*^9}, {3.535789082734375*^9, 
   3.535789253375*^9}, {3.535789399375*^9, 3.5357894090625*^9}, {
   3.53578948575*^9, 3.535789504640625*^9}, {3.535789539109375*^9, 
   3.535789568515625*^9}, {3.535789857921875*^9, 3.5357898685*^9}, {
   3.535789930625*^9, 3.535789990421875*^9}, {3.53579005565625*^9, 
   3.53579005609375*^9}, {3.535790092515625*^9, 3.5357901018125*^9}, {
   3.5357901663125*^9, 3.535790222296875*^9}, {3.535790286203125*^9, 
   3.535790294984375*^9}, {3.5357903270625*^9, 3.535790385390625*^9}, {
   3.535790730234375*^9, 3.535790752859375*^9}, {3.535790815078125*^9, 
   3.535790828984375*^9}, {3.535790879484375*^9, 3.535790983703125*^9}, {
   3.53579113496875*^9, 3.5357911628125*^9}, {3.535791209703125*^9, 
   3.5357912403125*^9}, {3.535791292359375*^9, 3.535791338890625*^9}, {
   3.535791370046875*^9, 3.5357914285625*^9}, {3.535791492765625*^9, 
   3.535791524796875*^9}, {3.535791582453125*^9, 3.535791700609375*^9}, {
   3.53579178559375*^9, 3.5357917864375*^9}, {3.5357918251875*^9, 
   3.535791852015625*^9}, {3.53579191090625*^9, 3.53579191571875*^9}, {
   3.535791946125*^9, 3.535791996359375*^9}, {3.535792031015625*^9, 
   3.53579206403125*^9}, {3.535792103171875*^9, 3.535792123484375*^9}, {
   3.53579217584375*^9, 3.535792236953125*^9}, {3.53579227896875*^9, 
   3.535792409625*^9}, 3.535792525390625*^9, {3.535792588875*^9, 
   3.5357925991875*^9}, {3.535792808046875*^9, 3.535792845828125*^9}, {
   3.535792899984375*^9, 3.535792915328125*^9}, {3.53579302653125*^9, 
   3.53579312328125*^9}, {3.535794771296875*^9, 3.535795044984375*^9}, {
   3.535795078875*^9, 3.53579510546875*^9}, {3.53579542003125*^9, 
   3.535795434*^9}, {3.5357954878125*^9, 3.5357955788125*^9}, {
   3.53579562859375*^9, 3.5357956333125*^9}, {3.5357957271875*^9, 
   3.535795791046875*^9}, {3.5357958500625*^9, 3.535795852640625*^9}, {
   3.535795913625*^9, 3.5357959141875*^9}, {3.535795959390625*^9, 
   3.5357959644375*^9}, {3.535796168671875*^9, 3.53579617740625*^9}, {
   3.535796211703125*^9, 3.535796219046875*^9}, {3.5358004596875*^9, 
   3.535800473109375*^9}, {3.53580050453125*^9, 3.5358006014375*^9}, {
   3.535800633734375*^9, 3.535800803640625*^9}, {3.53580084175*^9, 
   3.5358008441875*^9}, {3.53580090246875*^9, 3.53580099190625*^9}, {
   3.535801025578125*^9, 3.5358012086875*^9}, {3.535801245453125*^9, 
   3.535801296265625*^9}, {3.53580150959375*^9, 3.535801597109375*^9}, {
   3.535801641546875*^9, 3.53580170203125*^9}, {3.535801746546875*^9, 
   3.535801907578125*^9}, {3.535801960109375*^9, 3.53580196246875*^9}, {
   3.53580201315625*^9, 3.535802086296875*^9}, {3.5358021255625*^9, 
   3.535802162234375*^9}, {3.535802202375*^9, 3.53580235075*^9}, {
   3.535802413578125*^9, 3.53580248965625*^9}, {3.53580252503125*^9, 
   3.535802559515625*^9}, {3.53580261*^9, 3.535802777*^9}, {
   3.535802813421875*^9, 3.53580289090625*^9}, {3.53580304125*^9, 
   3.5358030415625*^9}, {3.535803163*^9, 3.53580317621875*^9}, {
   3.535803286703125*^9, 3.5358032953125*^9}, {3.5358033525*^9, 
   3.535803518140625*^9}, {3.53580356115625*^9, 3.5358035643125*^9}, {
   3.5358036761875*^9, 3.535803682515625*^9}, {3.5358037338125*^9, 
   3.5358037403125*^9}, {3.535803800453125*^9, 3.535803839546875*^9}, {
   3.535804162421875*^9, 3.535804163*^9}, {3.535804229515625*^9, 
   3.5358042565*^9}, {3.535804336359375*^9, 3.535804424078125*^9}, {
   3.535804511234375*^9, 3.5358045115625*^9}, {3.535804735765625*^9, 
   3.5358047511875*^9}, {3.53580481278125*^9, 3.535804887296875*^9}, {
   3.535804935140625*^9, 3.535804999546875*^9}, {3.535805059203125*^9, 
   3.53580507459375*^9}, {3.535855258625*^9, 3.535855337546875*^9}, {
   3.53585537175*^9, 3.535855382140625*^9}, {3.535855505703125*^9, 
   3.53585554853125*^9}, {3.535855598578125*^9, 3.535855606234375*^9}, {
   3.535855643125*^9, 3.5358556824375*^9}, {3.535855718046875*^9, 
   3.535855737203125*^9}, {3.535855859203125*^9, 3.535855928328125*^9}, {
   3.53585597353125*^9, 3.535855974125*^9}, 3.535856202625*^9, {
   3.535857291796875*^9, 3.53585729303125*^9}, {3.535857333515625*^9, 
   3.5358573725*^9}, {3.535857487953125*^9, 3.5358575121875*^9}, {
   3.535857586453125*^9, 3.5358575955*^9}, {3.535857635046875*^9, 
   3.535857640421875*^9}, {3.535857699109375*^9, 3.535857806078125*^9}, {
   3.535857852859375*^9, 3.53585793715625*^9}, {3.535857994296875*^9, 
   3.535858005921875*^9}, {3.53585820696875*^9, 3.53585821634375*^9}, {
   3.535858286890625*^9, 3.535858300375*^9}, {3.535858356953125*^9, 
   3.535858359234375*^9}, {3.53585843421875*^9, 3.535858470671875*^9}, {
   3.535858557390625*^9, 3.535858576640625*^9}, {3.535858749546875*^9, 
   3.535858749875*^9}, {3.53585891053125*^9, 3.535858927671875*^9}, {
   3.535859828625*^9, 3.535860006015625*^9}, {3.535860153671875*^9, 
   3.53586019759375*^9}, {3.5358604644375*^9, 3.5358605300625*^9}, {
   3.535862559640625*^9, 3.5358626211875*^9}, {3.535887252953125*^9, 
   3.535887287921875*^9}, {3.535887325015625*^9, 3.535887325375*^9}, {
   3.535887402609375*^9, 3.535887435140625*^9}, {3.53588750521875*^9, 
   3.535887592375*^9}, {3.53588768165625*^9, 3.535887699390625*^9}, {
   3.53588779234375*^9, 3.535887795171875*^9}, {3.53588782559375*^9, 
   3.53588783028125*^9}, {3.535887897328125*^9, 3.53588790228125*^9}, {
   3.53588794621875*^9, 3.535887997453125*^9}, {3.535888048109375*^9, 
   3.535888056296875*^9}, {3.53588811128125*^9, 3.53588815275*^9}, {
   3.535888221578125*^9, 3.535888227234375*^9}, {3.535888282859375*^9, 
   3.53588828365625*^9}, {3.535888329796875*^9, 3.535888331828125*^9}, {
   3.53588840809375*^9, 3.535888445671875*^9}, {3.53588853484375*^9, 
   3.535888561765625*^9}, 3.5358886278125*^9, {3.535888884828125*^9, 
   3.5358889073125*^9}, {3.53588895584375*^9, 3.53588897475*^9}, {
   3.5358892013125*^9, 3.53588920796875*^9}, {3.5358892473125*^9, 
   3.53588925059375*^9}, {3.535889366265625*^9, 3.53588936825*^9}, {
   3.535889496984375*^9, 3.53588959509375*^9}, {3.535889628671875*^9, 
   3.535889668125*^9}, {3.535889698609375*^9, 3.5358897586875*^9}, {
   3.53588979703125*^9, 3.53588984134375*^9}, {3.53632155301525*^9, 
   3.536321581374625*^9}, {3.53644358565625*^9, 3.536443586078125*^9}, {
   3.536443639125*^9, 3.536443639515625*^9}, {3.53644517740625*^9, 
   3.536445181328125*^9}, {3.536446122296875*^9, 3.536446158640625*^9}, {
   3.538863989640625*^9, 3.53886399528125*^9}, {3.538864230796875*^9, 
   3.538864248078125*^9}, {3.538864287140625*^9, 3.53886431175*^9}, {
   3.538864371125*^9, 3.538864392484375*^9}, {3.53886442471875*^9, 
   3.538864474734375*^9}, {3.538864505984375*^9, 3.538864509734375*^9}, {
   3.539125168140625*^9, 3.5391251715625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`mode$$ = 3, $CellContext`t$$ = 
    6.921321314940013, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`t$$], 0, 5 Pi}, {{
       Hold[$CellContext`mode$$], 3, "projection style"}, {
      1 -> "(x,y,z,u)\[Rule](x,y,z)", 2 -> "(x,y,z,u)\[Rule](x,y,u)", 3 -> 
       "(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \(u\)]\),\!\(\*FractionBox[\
\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \(u\)]\))"}}}, Typeset`size$$ = {
    518., {319., 329.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`t$42206$$ = 
    0, $CellContext`mode$42207$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`mode$$ = 3, $CellContext`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$42206$$, 0], 
        Hold[$CellContext`mode$$, $CellContext`mode$42207$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`u1 = 
        1/3; $CellContext`u2 = $CellContext`u1 + 1; $CellContext`OA = 
        N[{1/Sqrt[2], (-1)/Sqrt[6], (-Sqrt[3])/
           6, $CellContext`u1}]; $CellContext`OB = 
        N[{0, Sqrt[6]/3, (-Sqrt[3])/6, $CellContext`u1}]; $CellContext`OC = 
        N[{(-1)/Sqrt[2], (-1)/Sqrt[6], (-Sqrt[3])/
           6, $CellContext`u1}]; $CellContext`OD = 
        N[{0, 0, Sqrt[3]/2, $CellContext`u1}]; $CellContext`Oa = 
        N[{(-1)/Sqrt[2], 1/Sqrt[6], Sqrt[3]/
           6, $CellContext`u2}]; $CellContext`Ob = 
        N[{0, (-Sqrt[6])/3, Sqrt[3]/6, $CellContext`u2}]; $CellContext`Oc = 
        N[{1/Sqrt[2], 1/Sqrt[6], Sqrt[3]/
           6, $CellContext`u2}]; $CellContext`Od = 
        N[{0, 0, (-Sqrt[3])/2, $CellContext`u2}]; $CellContext`OE = 
        N[{0, 0, (-5) (Sqrt[3]/6), $CellContext`u1}]; $CellContext`OF = 
        N[{5 (Sqrt[2]/6), 5 (Sqrt[6]/18), ((-11)/18) 
           Sqrt[3], $CellContext`u1}]; $CellContext`OG = 
        N[{(-5)/(3 Sqrt[2]), 5/(3 Sqrt[6]), (-11)/(6 
           Sqrt[3]), $CellContext`u1}]; $CellContext`OH = 
        N[{0, ((-5) Sqrt[2/3])/3, (-11)/(6 
           Sqrt[3]), $CellContext`u1}]; $CellContext`OI = 
        N[{5/(3 Sqrt[2]), 5/(3 Sqrt[6]), 5/(6 
           Sqrt[3]), $CellContext`u1}]; $CellContext`OJ = 
        N[{(-5)/(3 Sqrt[2]), 5/(3 Sqrt[6]), 5/(6 
           Sqrt[3]), $CellContext`u1}]; $CellContext`OK = 
        N[{0, ((-5) Sqrt[2/3])/3, 5/(6 
           Sqrt[3]), $CellContext`u1}]; $CellContext`OL = 
        N[{(-5)/(3 Sqrt[2]), (-17)/(9 Sqrt[6]), 31/(18 
           Sqrt[3]), $CellContext`u1}]; $CellContext`OM = 
        N[{(-1)/(9 Sqrt[2]), (-67)/(27 Sqrt[6]), 173/(54 
           Sqrt[3]), $CellContext`u1}]; $CellContext`AAA = Transpose[
          Table[$CellContext`OA, {4}]]; $CellContext`EEE = Transpose[
          Table[$CellContext`OE, {4}]]; $CellContext`DDD = Transpose[
          Table[$CellContext`OD, {4}]]; $CellContext`KKK = Transpose[
          Table[$CellContext`OK, {4}]]; $CellContext`step := 
        Floor[$CellContext`t$$/(Pi/3)] + 
         1; $CellContext`u := $CellContext`t$$ - ($CellContext`step - 1) (Pi/
          3); $CellContext`tetrahedron[
          Pattern[$CellContext`vecs, 
           Blank[]]] := Table[
          Polygon[
           Drop[$CellContext`vecs, {$CellContext`k}]], {$CellContext`k, 1, 
           4}]; $CellContext`proj[
          Pattern[$CellContext`x$, 
           Blank[]]] := Switch[$CellContext`mode$$, 1, 
          Part[$CellContext`x$, {1, 2, 3}], 2, 
          Part[$CellContext`x$, {1, 2, 4}], 3, (1/Part[$CellContext`x$, 4]) 
          Part[$CellContext`x$, {1, 2, 3}]]; $CellContext`p0 = {
         1., 2, 0, -1}; $CellContext`q0 = {1., 0, 1, 2}; $CellContext`R[
          Pattern[$CellContext`u, 
           Blank[]], 
          Pattern[$CellContext`v, 
           Blank[]], 
          Pattern[$CellContext`\[Theta], 
           Blank[]]] := (
         Derivative[1][$CellContext`v] := $CellContext`v - 
           Projection[$CellContext`v, $CellContext`u]; $CellContext`p1 := \
$CellContext`p0 - Projection[$CellContext`p0, $CellContext`u]; $CellContext`p := 
          Normalize[$CellContext`p1 - Projection[$CellContext`p1, 
             Derivative[
             1][$CellContext`v]]]; $CellContext`q1 := $CellContext`q0 - 
           Projection[$CellContext`q0, $CellContext`u]; $CellContext`q2 := \
$CellContext`q1 - Projection[$CellContext`q1, 
            Derivative[1][$CellContext`v]]; $CellContext`q := 
          Normalize[$CellContext`q2 - 
            Projection[$CellContext`q2, $CellContext`p]]; $CellContext`P := 
          Transpose[{$CellContext`p, $CellContext`q, $CellContext`u, \
$CellContext`v}]; Dot[$CellContext`P, {{
             Cos[$CellContext`\[Theta]], -Sin[$CellContext`\[Theta]], 0, 0}, {
             Sin[$CellContext`\[Theta]], 
             Cos[$CellContext`\[Theta]], 0, 0}, {0, 0, 1, 0}, {0, 0, 0, 1}}, 
           Inverse[$CellContext`P]]); $CellContext`RABC[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OB - $CellContext`OA, \
$CellContext`OC - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RABE[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OB - $CellContext`OA, \
$CellContext`OE - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RACE[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OC - $CellContext`OA, \
$CellContext`OE - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RBCE[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OB - $CellContext`OC, \
$CellContext`OB - $CellContext`OE, $CellContext`\[Theta]]; $CellContext`RAEF[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OE - $CellContext`OA, \
$CellContext`OF - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RBEG[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OE - $CellContext`OB, \
$CellContext`OG - $CellContext`OB, $CellContext`\[Theta]]; $CellContext`RCEH[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OE - $CellContext`OC, \
$CellContext`OE - $CellContext`OH, $CellContext`\[Theta]]; $CellContext`REFG[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OF - $CellContext`OE, \
$CellContext`OG - $CellContext`OE, $CellContext`\[Theta]]; $CellContext`RABD[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OB - $CellContext`OA, \
$CellContext`OD - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RADI[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OD - $CellContext`OA, \
$CellContext`OI - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RBCD[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OB - $CellContext`OD, \
$CellContext`OC - $CellContext`OD, $CellContext`\[Theta]]; $CellContext`RBDJ[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OB - $CellContext`OD, \
$CellContext`OB - $CellContext`OJ, $CellContext`\[Theta]]; $CellContext`RACD[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OA - $CellContext`OD, \
$CellContext`OC - $CellContext`OD, $CellContext`\[Theta]]; $CellContext`RCDK[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OC - $CellContext`OD, \
$CellContext`OK - $CellContext`OD, $CellContext`\[Theta]]; $CellContext`RACK[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OC - $CellContext`OA, \
$CellContext`OK - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RADK[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OD - $CellContext`OA, \
$CellContext`OK - $CellContext`OA, $CellContext`\[Theta]]; $CellContext`RDKL[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OK - $CellContext`OD, \
$CellContext`OL - $CellContext`OD, $CellContext`\[Theta]]; $CellContext`RKLM[
          Pattern[$CellContext`\[Theta], 
           
           Blank[]]] = $CellContext`R[$CellContext`OK - $CellContext`OL, \
$CellContext`OK - $CellContext`OM, $CellContext`\[Theta]]; $CellContext`ABCD = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OC, \
$CellContext`OD}]; $CellContext`vecsABCD = Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ABCD], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyABCD = \
$CellContext`tetrahedron[$CellContext`vecsABCD]; $CellContext`ABCd0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OC, \
$CellContext`Od}]; $CellContext`ABCd1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`ABCd0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`ABCd := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`ABCd0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step >= 
          2, $CellContext`ABCd1]; $CellContext`vecsABCd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ABCd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyABCd := \
$CellContext`tetrahedron[$CellContext`vecsABCd]; $CellContext`ABDc0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OD, \
$CellContext`Oc}]; $CellContext`ABDc1 = Dot[
           $CellContext`RABD[(-Pi)/
            3], $CellContext`ABDc0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`ABDc := 
        Which[$CellContext`step <= 7, $CellContext`ABDc0, $CellContext`step == 
          8, Dot[
            $CellContext`RABD[-$CellContext`u], $CellContext`ABDc0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          9, $CellContext`ABDc1]; $CellContext`vecsABDc := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ABDc], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyABDc := \
$CellContext`tetrahedron[$CellContext`vecsABDc]; $CellContext`BCDa0 = 
        Transpose[{$CellContext`OB, $CellContext`OC, $CellContext`OD, \
$CellContext`Oa}]; $CellContext`BCDa1 = Dot[
           $CellContext`RBCD[
           Pi/3], $CellContext`BCDa0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`BCDa := 
        Which[$CellContext`step <= 9, $CellContext`BCDa0, $CellContext`step == 
          10, Dot[
            $CellContext`RBCD[$CellContext`u], $CellContext`BCDa0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          11, $CellContext`BCDa1]; $CellContext`vecsBCDa := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`BCDa], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyBCDa := \
$CellContext`tetrahedron[$CellContext`vecsBCDa]; $CellContext`ACDb0 = 
        Transpose[{$CellContext`OA, $CellContext`OC, $CellContext`OD, \
$CellContext`Ob}]; $CellContext`ACDb1 = Dot[
           $CellContext`RACD[
           Pi/3], $CellContext`ACDb0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`ACDb := 
        Which[$CellContext`step <= 11, $CellContext`ACDb0, $CellContext`step == 
          12, Dot[
            $CellContext`RACD[$CellContext`u], $CellContext`ACDb0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          13, $CellContext`ACDb1]; $CellContext`vecsACDb := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ACDb], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyACDb := \
$CellContext`tetrahedron[$CellContext`vecsACDb]; $CellContext`ABcd0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`Oc, \
$CellContext`Od}]; $CellContext`ABcd1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`ABcd0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`ABcd2 = Dot[
           $CellContext`RABE[(-Pi)/
            3], $CellContext`ABcd1 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`ABcd := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`ABcd0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step == 2, Dot[
            $CellContext`RABE[-$CellContext`u], $CellContext`ABcd1 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step >= 
          3, $CellContext`ABcd2]; $CellContext`vecsABcd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ABcd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyABcd := \
$CellContext`tetrahedron[$CellContext`vecsABcd]; $CellContext`BCad0 = 
        Transpose[{$CellContext`OB, $CellContext`OC, $CellContext`Oa, \
$CellContext`Od}]; $CellContext`BCad1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`BCad0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`BCad2 = Dot[
           $CellContext`RBCE[
           Pi/3], $CellContext`BCad1 - $CellContext`EEE] + $CellContext`EEE; \
$CellContext`BCad := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`BCad0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step <= 
          3, $CellContext`BCad1, $CellContext`step == 4, Dot[
            $CellContext`RBCE[$CellContext`u], $CellContext`BCad1 - \
$CellContext`EEE] + $CellContext`EEE, $CellContext`step >= 
          5, $CellContext`BCad2]; $CellContext`vecsBCad := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`BCad], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyBCad := \
$CellContext`tetrahedron[$CellContext`vecsBCad]; $CellContext`ACbd0 = 
        Transpose[{$CellContext`OA, $CellContext`OC, $CellContext`Ob, \
$CellContext`Od}]; $CellContext`ACbd1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`ACbd0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`ACbd2 = Dot[
           $CellContext`RACE[
           Pi/3], $CellContext`ACbd1 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`ACbd := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`ACbd0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step <= 
          5, $CellContext`ACbd1, $CellContext`step == 6, Dot[
            $CellContext`RACE[$CellContext`u], $CellContext`ACbd1 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step >= 
          7, $CellContext`ACbd2]; $CellContext`vecsACbd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ACbd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyACbd := \
$CellContext`tetrahedron[$CellContext`vecsACbd]; $CellContext`ADbc0 = 
        Transpose[{$CellContext`OA, $CellContext`OD, $CellContext`Ob, \
$CellContext`Oc}]; $CellContext`ADbc1 = Dot[
           $CellContext`RABD[(-Pi)/
            3], $CellContext`ADbc0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`ADbc2 = Dot[
           $CellContext`RADI[
           Pi/3], $CellContext`ADbc1 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`ADbc := 
        Which[$CellContext`step <= 7, $CellContext`ADbc0, $CellContext`step == 
          8, Dot[
            $CellContext`RABD[-$CellContext`u], $CellContext`ADbc0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 9, Dot[
            $CellContext`RADI[$CellContext`u], $CellContext`ADbc1 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          10, $CellContext`ADbc2]; $CellContext`vecsADbc := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`ADbc], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyADbc := \
$CellContext`tetrahedron[$CellContext`vecsADbc]; $CellContext`BDac0 = 
        Transpose[{$CellContext`OB, $CellContext`OD, $CellContext`Oa, \
$CellContext`Oc}]; $CellContext`BDac1 = Dot[
           $CellContext`RBCD[
           Pi/3], $CellContext`BDac0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`BDac2 = Dot[
           $CellContext`RBDJ[(-Pi)/
            3], $CellContext`BDac1 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`BDac := 
        Which[$CellContext`step <= 9, $CellContext`BDac0, $CellContext`step == 
          10, Dot[
            $CellContext`RBCD[$CellContext`u], $CellContext`BDac0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 11, Dot[
            $CellContext`RBDJ[-$CellContext`u], $CellContext`BDac1 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          12, $CellContext`BDac2]; $CellContext`vecsBDac := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`BDac], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyBDac := \
$CellContext`tetrahedron[$CellContext`vecsBDac]; $CellContext`CDab0 = 
        Transpose[{$CellContext`OC, $CellContext`OD, $CellContext`Oa, \
$CellContext`Ob}]; $CellContext`CDab1 = Dot[
           $CellContext`RACD[
           Pi/3], $CellContext`CDab0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`CDab2 = Dot[
           $CellContext`RCDK[
           Pi/3], $CellContext`CDab1 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`CDab := 
        Which[$CellContext`step <= 11, $CellContext`CDab0, $CellContext`step == 
          12, Dot[
            $CellContext`RACD[$CellContext`u], $CellContext`CDab0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 13, Dot[
            $CellContext`RCDK[$CellContext`u], $CellContext`CDab1 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          14, $CellContext`CDab2]; $CellContext`vecsCDab := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`CDab], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyCDab := \
$CellContext`tetrahedron[$CellContext`vecsCDab]; $CellContext`Abcd0 = 
        Transpose[{$CellContext`OA, $CellContext`Ob, $CellContext`Oc, \
$CellContext`Od}]; $CellContext`Abcd1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`Abcd0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`Abcd2 = Dot[
           $CellContext`RABE[(-Pi)/
            3], $CellContext`Abcd1 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`Abcd3 = Dot[
           $CellContext`RAEF[
           Pi/3], $CellContext`Abcd2 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`Abcd4 = Dot[
           $CellContext`REFG[
           Pi/3], $CellContext`Abcd3 - $CellContext`EEE] + $CellContext`EEE; \
$CellContext`Abcd := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`Abcd0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step == 2, Dot[
            $CellContext`RABE[-$CellContext`u], $CellContext`Abcd1 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step == 3, Dot[
            $CellContext`RAEF[$CellContext`u], $CellContext`Abcd2 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step >= 
          3, $CellContext`Abcd3]; $CellContext`vecsAbcd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`Abcd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyAbcd := \
$CellContext`tetrahedron[$CellContext`vecsAbcd]; $CellContext`Bacd0 = 
        Transpose[{$CellContext`Oa, $CellContext`OB, $CellContext`Oc, \
$CellContext`Od}]; $CellContext`Bacd1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`Bacd0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`Bacd2 = Dot[
           $CellContext`RBCE[
           Pi/3], $CellContext`Bacd1 - $CellContext`EEE] + $CellContext`EEE; \
$CellContext`Bacd3 = Dot[
           $CellContext`RBEG[(-Pi)/
            3], $CellContext`Bacd2 - $CellContext`EEE] + $CellContext`EEE; \
$CellContext`Bacd := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`Bacd0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step <= 
          3, $CellContext`Bacd1, $CellContext`step == 4, Dot[
            $CellContext`RBCE[$CellContext`u], $CellContext`Bacd1 - \
$CellContext`EEE] + $CellContext`EEE, $CellContext`step == 5, Dot[
            $CellContext`RBEG[-$CellContext`u], $CellContext`Bacd2 - \
$CellContext`EEE] + $CellContext`EEE, $CellContext`step >= 
          6, $CellContext`Bacd3]; $CellContext`vecsBacd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`Bacd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyBacd := \
$CellContext`tetrahedron[$CellContext`vecsBacd]; $CellContext`Cabd0 = 
        Transpose[{$CellContext`OC, $CellContext`Oa, $CellContext`Ob, \
$CellContext`Od}]; $CellContext`Cabd1 = Dot[
           $CellContext`RABC[
           Pi/3], $CellContext`Cabd0 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`Cabd2 = Dot[
           $CellContext`RACE[
           Pi/3], $CellContext`Cabd1 - $CellContext`AAA] + $CellContext`AAA; \
$CellContext`Cabd3 = Dot[
           $CellContext`RCEH[
           Pi/3], $CellContext`Cabd2 - $CellContext`EEE] + $CellContext`EEE; \
$CellContext`Cabd := Which[$CellContext`step == 1, Dot[
            $CellContext`RABC[$CellContext`u], $CellContext`Cabd0 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step <= 
          5, $CellContext`Cabd1, $CellContext`step == 6, Dot[
            $CellContext`RACE[$CellContext`u], $CellContext`Cabd1 - \
$CellContext`AAA] + $CellContext`AAA, $CellContext`step == 7, Dot[
            $CellContext`RCEH[$CellContext`u], $CellContext`Cabd2 - \
$CellContext`EEE] + $CellContext`EEE, $CellContext`step >= 
          8, $CellContext`Cabd3]; $CellContext`vecsCabd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`Cabd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyCabd := \
$CellContext`tetrahedron[$CellContext`vecsCabd]; $CellContext`Dacb0 := 
        Transpose[{$CellContext`OD, $CellContext`Oa, $CellContext`Oc, \
$CellContext`Ob}]; $CellContext`Dacb1 = Dot[
           $CellContext`RACD[
           Pi/3], $CellContext`Dacb0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`Dacb2 = Dot[
           $CellContext`RCDK[
           Pi/3], $CellContext`Dacb1 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`Dacb3 = Dot[
           $CellContext`RDKL[(-Pi)/
            3], $CellContext`Dacb2 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`Dacb := 
        Which[$CellContext`step <= 11, $CellContext`Dacb0, $CellContext`step == 
          12, Dot[
            $CellContext`RACD[$CellContext`u], $CellContext`Dacb0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 13, Dot[
            $CellContext`RCDK[$CellContext`u], $CellContext`Dacb1 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 14, Dot[
            $CellContext`RDKL[-$CellContext`u], $CellContext`Dacb2 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step >= 
          15, $CellContext`Dacb3]; $CellContext`vecsDacb := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`Dacb], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyDacb := \
$CellContext`tetrahedron[$CellContext`vecsDacb]; $CellContext`abcd0 := 
        Transpose[{$CellContext`Oa, $CellContext`Ob, $CellContext`Oc, \
$CellContext`Od}]; $CellContext`abcd1 = Dot[
           $CellContext`RACD[
           Pi/3], $CellContext`abcd0 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`abcd2 = Dot[
           $CellContext`RCDK[
           Pi/3], $CellContext`abcd1 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`abcd3 = Dot[
           $CellContext`RDKL[(-Pi)/
            3], $CellContext`abcd2 - $CellContext`DDD] + $CellContext`DDD; \
$CellContext`abcd4 = Dot[
           $CellContext`RKLM[
           Pi/3], $CellContext`abcd3 - $CellContext`KKK] + $CellContext`KKK; \
$CellContext`abcd := 
        Which[$CellContext`step <= 11, $CellContext`abcd0, $CellContext`step == 
          12, Dot[
            $CellContext`RACD[$CellContext`u], $CellContext`abcd0 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 13, Dot[
            $CellContext`RCDK[$CellContext`u], $CellContext`abcd1 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 14, Dot[
            $CellContext`RDKL[-$CellContext`u], $CellContext`abcd2 - \
$CellContext`DDD] + $CellContext`DDD, $CellContext`step == 15, Dot[
            $CellContext`RKLM[$CellContext`u], $CellContext`abcd3 - \
$CellContext`KKK] + $CellContext`KKK, $CellContext`step >= 
          16, $CellContext`abcd4]; $CellContext`vecsabcd := Table[
          $CellContext`proj[
           Part[
            Transpose[$CellContext`abcd], $CellContext`k]], {$CellContext`k, 
           1, 4}]; $CellContext`polyabcd := \
$CellContext`tetrahedron[$CellContext`vecsabcd]; $CellContext`myrange := 
        Switch[$CellContext`mode$$, 1, {{-1.4, 1.4}, {-2.1, 1.6}, {-1.6, 2}}, 
          2, {{-1.4, 1.4}, {-2.1, 1.6}, {0.33, 1.45}}, 
          3, {{-4, 4}, {-6.5, 4.5}, {-5, 6}}]; Graphics3D[{
          Opacity[0.3], 
          EdgeForm[{
            Thickness[0.003], Black}], $CellContext`polyABCD, {
          Cyan, $CellContext`polyABCd}, {Magenta, $CellContext`polyABcd}, {
           Opacity[0.3], Orange, $CellContext`polyAbcd}, {
          LightPurple, $CellContext`polyBCad}, {
           Opacity[0.3], LightRed, $CellContext`polyBacd}, {
          LightGreen, $CellContext`polyACbd}, {
           Opacity[0.3], LightCyan, $CellContext`polyCabd}, {
          LightBrown, $CellContext`polyABDc}, {
           Opacity[0.3], LightGray, $CellContext`polyADbc}, {
          Yellow, $CellContext`polyBCDa}, {
          LightGreen, $CellContext`polyBDac}, {
          LightBlue, $CellContext`polyACDb}, {
          LightRed, $CellContext`polyCDab}, {
          LightGreen, $CellContext`polyDacb}, {
           Opacity[0.9], LightBlue, $CellContext`polyabcd}}, 
         PlotRange -> $CellContext`myrange, Boxed -> False]), 
      "Specifications" :> {{$CellContext`t$$, 0, 5 Pi, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}, {{$CellContext`mode$$, 3, 
          "projection style"}, {
         1 -> "(x,y,z,u)\[Rule](x,y,z)", 2 -> "(x,y,z,u)\[Rule](x,y,u)", 3 -> 
          "(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \
\(u\)]\),\!\(\*FractionBox[\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \
\(u\)]\))"}, ControlType -> PopupMenu, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, DefaultBaseStyle -> 
        "Animate", DefaultLabelStyle -> "AnimateLabel", SynchronousUpdating -> 
        True, ShrinkingDelay -> 10.}, "DefaultOptions" :> {}],
     ImageSizeCache->{622., {401., 408.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Animate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.535770406359375*^9, 3.53577047265625*^9, 3.535770664578125*^9, {
   3.535770853921875*^9, 3.535770878515625*^9}, 3.535770939984375*^9, {
   3.535771053421875*^9, 3.535771076703125*^9}, 3.53577111459375*^9, 
   3.535786324*^9, {3.535786801421875*^9, 3.53578682578125*^9}, {
   3.53578686465625*^9, 3.5357868885*^9}, {3.535787228359375*^9, 
   3.535787247703125*^9}, {3.535787284953125*^9, 3.535787285890625*^9}, {
   3.535787330015625*^9, 3.535787331953125*^9}, {3.53578763546875*^9, 
   3.5357876798125*^9}, {3.535787740234375*^9, 3.535787760734375*^9}, {
   3.535788125046875*^9, 3.53578820625*^9}, {3.535788239890625*^9, 
   3.535788244796875*^9}, {3.535788459859375*^9, 3.53578848890625*^9}, {
   3.535788670796875*^9, 3.5357887466875*^9}, {3.5357887866875*^9, 
   3.535788826484375*^9}, {3.535788924546875*^9, 3.535788936390625*^9}, {
   3.53578924090625*^9, 3.535789273171875*^9}, {3.535789413703125*^9, 
   3.535789428796875*^9}, {3.535789505890625*^9, 3.53578958915625*^9}, {
   3.535790057265625*^9, 3.535790072640625*^9}, {3.53579010425*^9, 
   3.535790126265625*^9}, {3.53579022484375*^9, 3.535790255125*^9}, {
   3.535790984921875*^9, 3.5357909955625*^9}, {3.535791164375*^9, 
   3.535791193515625*^9}, {3.535791349015625*^9, 3.535791410078125*^9}, 
   3.53579170325*^9, {3.535791787484375*^9, 3.535791805875*^9}, {
   3.53579185446875*^9, 3.53579186459375*^9}, {3.535791998625*^9, 
   3.53579201003125*^9}, {3.53579229065625*^9, 3.535792326515625*^9}, {
   3.535792390890625*^9, 3.53579242646875*^9}, 3.535792529984375*^9, {
   3.535792562609375*^9, 3.535792564515625*^9}, {3.535792600796875*^9, 
   3.5357926175*^9}, {3.535792924203125*^9, 3.5357929303125*^9}, {
   3.5357931249375*^9, 3.53579313265625*^9}, 3.535794660671875*^9, {
   3.5357947461875*^9, 3.535794754984375*^9}, {3.535794926515625*^9, 
   3.5357949344375*^9}, {3.535795582078125*^9, 3.535795593796875*^9}, {
   3.535795649765625*^9, 3.535795685375*^9}, {3.535795795421875*^9, 
   3.535795811984375*^9}, {3.535795865*^9, 3.53579588421875*^9}, {
   3.535795918703125*^9, 3.535795976984375*^9}, {3.53580080778125*^9, 
   3.535800856484375*^9}, {3.53580121096875*^9, 3.53580121565625*^9}, {
   3.535801247828125*^9, 3.535801307546875*^9}, {3.535801377515625*^9, 
   3.535801389765625*^9}, {3.53580143778125*^9, 3.5358014691875*^9}, {
   3.53580153715625*^9, 3.53580154325*^9}, {3.53580160834375*^9, 
   3.53580161765625*^9}, {3.5358018860625*^9, 3.5358019194375*^9}, {
   3.53580232375*^9, 3.535802364515625*^9}, {3.535802561078125*^9, 
   3.535802572625*^9}, {3.535802739046875*^9, 3.535802794109375*^9}, {
   3.535802909625*^9, 3.535802936328125*^9}, {3.53580302378125*^9, 
   3.5358030481875*^9}, {3.535803178234375*^9, 3.535803191109375*^9}, {
   3.535803463796875*^9, 3.53580353546875*^9}, {3.5358036150625*^9, 
   3.535803703296875*^9}, {3.535803810703125*^9, 3.5358038558125*^9}, {
   3.53580408925*^9, 3.535804101171875*^9}, {3.535804157921875*^9, 
   3.535804173015625*^9}, {3.53580423509375*^9, 3.535804265078125*^9}, {
   3.53580439028125*^9, 3.535804440515625*^9}, {3.535804479484375*^9, 
   3.535804523921875*^9}, {3.535804850328125*^9, 3.5358048974375*^9}, {
   3.53580497965625*^9, 3.53580501403125*^9}, {3.535805076015625*^9, 
   3.535805088546875*^9}, {3.53585412215625*^9, 3.53585412453125*^9}, {
   3.535854219796875*^9, 3.535854231546875*^9}, {3.53585531259375*^9, 
   3.5358553963125*^9}, {3.535855552234375*^9, 3.53585569525*^9}, {
   3.53585573875*^9, 3.53585574996875*^9}, {3.53585593509375*^9, 
   3.5358559811875*^9}, {3.53585614565625*^9, 3.535856169953125*^9}, {
   3.535856204234375*^9, 3.535856215625*^9}, {3.53585729675*^9, 
   3.535857308890625*^9}, {3.535857374515625*^9, 3.535857392234375*^9}, {
   3.535857514328125*^9, 3.535857521375*^9}, {3.535857597265625*^9, 
   3.535857657765625*^9}, {3.535857890625*^9, 3.535857949390625*^9}, {
   3.535858053453125*^9, 3.53585805971875*^9}, {3.535858134171875*^9, 
   3.53585815340625*^9}, {3.53585821909375*^9, 3.53585825465625*^9}, 
   3.53585830234375*^9, 3.535858360390625*^9, {3.535858441890625*^9, 
   3.535858489328125*^9}, {3.535858578640625*^9, 3.535858589671875*^9}, {
   3.53585875190625*^9, 3.535858784203125*^9}, {3.535858930546875*^9, 
   3.535858958828125*^9}, 3.535860010109375*^9, 3.5358600554375*^9, {
   3.5358601833125*^9, 3.53586019909375*^9}, 3.535860238015625*^9, {
   3.535860485609375*^9, 3.53586048925*^9}, {3.535860531921875*^9, 
   3.535860540046875*^9}, {3.535862599796875*^9, 3.535862632578125*^9}, 
   3.53588725559375*^9, {3.535887289953125*^9, 3.535887358046875*^9}, {
   3.535887436296875*^9, 3.53588744725*^9}, {3.535887594203125*^9, 
   3.5358876046875*^9}, {3.535887655984375*^9, 3.535887738*^9}, {
   3.53588779646875*^9, 3.53588786971875*^9}, {3.53588799915625*^9, 
   3.5358880730625*^9}, {3.535888117328125*^9, 3.535888169375*^9}, {
   3.5358882300625*^9, 3.535888248375*^9}, {3.5358882861875*^9, 
   3.5358883694375*^9}, {3.535888447796875*^9, 3.535888603140625*^9}, {
   3.535888858421875*^9, 3.53588892934375*^9}, {3.535888962609375*^9, 
   3.53588898125*^9}, {3.535889100296875*^9, 3.535889101015625*^9}, {
   3.535889210078125*^9, 3.535889226125*^9}, 3.5358893703125*^9, {
   3.535889448484375*^9, 3.535889451609375*^9}, {3.53588952646875*^9, 
   3.535889544421875*^9}, {3.53588959771875*^9, 3.5358896058125*^9}, {
   3.5358896728125*^9, 3.535889690859375*^9}, {3.535889761703125*^9, 
   3.5358897859375*^9}, {3.53588984371875*^9, 3.535889865140625*^9}, 
   3.536321582937125*^9, {3.53644357746875*^9, 3.536443670828125*^9}, {
   3.53644518225*^9, 3.53644519490625*^9}, 3.53644617615625*^9, 
   3.536446240828125*^9, {3.538862250515625*^9, 3.5388622534375*^9}, {
   3.53886397221875*^9, 3.538863977421875*^9}, {3.5388642495*^9, 
   3.538864261390625*^9}, {3.53886429546875*^9, 3.5388643476875*^9}, {
   3.538864381921875*^9, 3.538864430484375*^9}, {3.5388644618125*^9, 
   3.538864476421875*^9}, 3.538864511890625*^9, 3.538869054734375*^9, 
   3.538869111828125*^9, 3.539125173109375*^9}]
}, Open  ]]
},
WindowSize->{1275, 903},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (2011\:5e743\:670821\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 72254, 1871, 8390, "Input"],
Cell[72824, 1895, 34180, 613, 833, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
